View Issue Details

IDProjectCategoryView StatusLast Update
0004190SymmetricDSNew Featurepublic2020-01-02 09:37
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.8 
Target Version3.10.8Fixed in Version3.10.8 
Summary0004190: Google Big Query Support
DescriptionSupport to load data into Google Big Query
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 b248b084

2019-12-10 15:49:46

josh-a-hicks

Details Diff
0004190: Google Big Query Support
0004190
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/BigQueryDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/BulkDataLoaderFactory.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/io/BigQueryBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/CloudBulkDatabaseWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/DefaultDataLoaderFactory.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DatabaseNamesConstants.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/platform/bigquery/BigQueryDdlBuilder.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/platform/bigquery/BigQueryDdlReader.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/platform/bigquery/BigQueryPlatform.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/platform/bigquery/BigQuerySqlTemplate.java Diff File
add - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/BigQueryDatabaseWriter.java Diff File

SymmetricDS: 3.10 f1fa5f26

2019-12-10 16:47:35

josh-a-hicks

Details Diff
0004190: Google Big Query Support
0004190
add - symmetric-assemble/src/asciidoc/appendix/bigquery.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/databases.ad Diff File
mod - symmetric-assemble/src/asciidoc/appendix/snowflake.ad Diff File
add - symmetric-assemble/src/asciidoc/images/appendix/bigquery-advanced-settings.png Diff File
add - symmetric-assemble/src/asciidoc/images/appendix/bigquery-database-settings.png Diff File

Issue History

Date Modified Username Field Change
2019-12-10 13:03 josh-a-hicks New Issue
2019-12-10 13:03 josh-a-hicks Status new => assigned
2019-12-10 13:03 josh-a-hicks Assigned To => josh-a-hicks
2019-12-10 17:00 josh-a-hicks Changeset attached => SymmetricDS 3.10 f1fa5f26
2019-12-10 17:00 josh-a-hicks Changeset attached => SymmetricDS 3.10 b248b084
2019-12-17 13:57 josh-a-hicks Status assigned => resolved
2019-12-17 13:57 josh-a-hicks Resolution open => fixed
2019-12-17 13:57 josh-a-hicks Fixed in Version => 3.10.8
2020-01-02 09:37 admin Status resolved => closed